#### Previous topic

scipy.sparse.eye

#### Next topic

scipy.sparse.kron

# scipy.sparse.identity

`scipy.sparse.``identity`(n, dtype='d', format=None)

  Identity matrix in sparse format

  Returns an identity matrix with shape (n,n) using a given sparse format and dtype.

  Parameters:

  n : int

  > Shape of the identity matrix.

  dtype : dtype, optional

  > Data type of the matrix

  format : str, optional

  > Sparse format of the result, e.g. format=”csr”, etc.

  Examples

      >>> from scipy.sparse import identity
      >>> identity(3).toarray()
      array([[ 1.,  0.,  0.],
             [ 0.,  1.,  0.],
             [ 0.,  0.,  1.]])
      >>> identity(3, dtype='int8', format='dia')
      <3x3 sparse matrix of type '<type 'numpy.int8'>'
              with 3 stored elements (1 diagonals) in DIAgonal format>